Module Crypto
    Public Function EncryptText(ByVal strText As String, ByVal strPwd As String)
        Dim i As Integer, c As Integer
        Dim strBuff As String

        strPwd = UCase$(strPwd)
        If Len(strPwd) Then
            For i = 1 To Len(strText)
                c = Asc(Mid$(strText, i, 1))
                c = c + Asc(Mid$(strPwd, (i Mod Len(strPwd)) + 1, 1))
                strBuff = strBuff & Chr(c And &HFF)
            Next i
        Else
            strBuff = strText
        End If
        EncryptText = strBuff
    End Function

    Public Function DecryptText(ByVal strText As String, ByVal strPwd As String)
        Dim i As Integer, c As Integer
        Dim strBuff As String
        strPwd = UCase$(strPwd)
        If Len(strPwd) Then
            For i = 1 To Len(strText)
                c = Asc(Mid$(strText, i, 1))
                c = c - Asc(Mid$(strPwd, (i Mod Len(strPwd)) + 1, 1))
                strBuff = strBuff & Chr(c And &HFF)
            Next i
        Else
            strBuff = strText
        End If
        DecryptText = strBuff
    End Function
End Module